package dev.dinauer.maven.maven.core.model;

public class File
{
    private String artifactId;
    private String version;
    private String raw;
    private String base;
    private FileExt type;
    private FileHash hash;

    public String getRaw()
    {
        return raw;
    }

    public File setRaw(String raw)
    {
        this.raw = raw;
        return this;
    }

    public String getBase()
    {
        return base;
    }

    public File setBase(String base)
    {
        this.base = base;
        return this;
    }

    public FileExt getType()
    {
        return type;
    }

    public File setType(FileExt type)
    {
        this.type = type;
        return this;
    }

    public FileHash getHash()
    {
        return hash;
    }

    public File setHash(FileHash hash)
    {
        this.hash = hash;
        return this;
    }

    public String getArtifactId()
    {
        return artifactId;
    }

    public File setArtifactId(String artifactId)
    {
        this.artifactId = artifactId;
        return this;
    }

    public String getVersion()
    {
        return version;
    }

    public File setVersion(String version)
    {
        this.version = version;
        return this;
    }

    public String getFilename()
    {
        return base + "." + type.toString().toLowerCase();
    }
}
